<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//print_r($_SESSION['comportamientos']);

$cadenaEnvio='';

$cadenaEnvio.='*PXTmpCambioUbicacionProducto'.PHP_EOL;
$cadenaEnvio.='Empresa='.$_SESSION['empresa'].PHP_EOL;
$cadenaEnvio.='Almacen='.$_SESSION['almacen'].PHP_EOL;
$cadenaEnvio.='Producto='.$_POST['producto'].PHP_EOL;
$cadenaEnvio.='Ubicacion='.$_POST['ubicacion'].PHP_EOL;

foreach($_SESSION['comportamientos'] as $comportamiento) {
	if($comportamiento['Activo']=='S') {
		$cadenaEnvio.=$comportamiento['NombreSQL'].'='.$_POST[strtolower($comportamiento['NombreSQL'])].PHP_EOL;
	}
}

$cadenaEnvio.='Accion=M'.PHP_EOL;

$cadenaEnvio.='*PXTmpCambioUbicacionProductoModif'.PHP_EOL;
$cadenaEnvio.='NuevaUbicacion='.$_POST['nuevaUbicacion'].PHP_EOL;
$cadenaEnvio.='Cantidad='.$_POST['cantidad'].PHP_EOL;

$cadenaEnvio.='*FIN'.PHP_EOL;

echo $cadenaEnvio;
echo "<hr>";
	
$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
	
echo $resultado['EnviarDatosResult'];

?>